Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.page
Class WindowResult

    java.lang.Object
      org.jboss.portal.theme.page.WindowResult

    public class WindowResult

extends java.lang.Object

The window result represent the generated content of a window. It contains several kind of data :

- the window title
  the window content
  a map of actions available for the window

Version:
  $Revision: 11754 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `WindowResult.Action` Represents an action that can be triggered.

Constructor Summary
`WindowResult(java.lang.String title, java.lang.String content, java.util.Map actions, java.util.Map windowProperties, java.util.List<org.w3c.dom.Element> headerContent, org.jboss.portal.WindowState windowState, org.jboss.portal.Mode mode)` Create a new WindowResult with the information about the renderered portlet.

Method Summary
`java.lang.String` | `getContent()`
`java.util.List<org.w3c.dom.Element>` | `getHeaderContent()`
`org.jboss.portal.Mode` | `getMode()`
`java.util.Map` | `getProperties()`
`java.lang.String` | `getTitle()`
`java.util.Collection` | `getTriggerableActions(java.lang.String familyName)`
`org.jboss.portal.WindowState` | `getWindowState()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowResult

    public WindowResult(java.lang.String title,
                        java.lang.String content,
                        java.util.Map actions,
                        java.util.Map windowProperties,
                        java.util.List<org.w3c.dom.Element> headerContent,
                        org.jboss.portal.WindowState windowState,
                        org.jboss.portal.Mode mode)

  Create a new WindowResult with the information about the renderered portlet.

  A window result contains the the rendered markup fragment of the portlet, the title, a map of action urls to trigger mode and state changes, and the properties that were set as portlet response properties.

  Parameters:
    `title` - the title to be displayed for this portlet in the rendered page
    `content` - the rendered markup fragment of the portlet
    `actions` - a map of actions possible for this portlet
    `windowProperties` - the properties for this window
    `headerChars` - content that needs to be injected into the header
  See Also:
    `WindowResult.Action`

Method Detail

### getTitle

    public java.lang.String getTitle()

### getContent

    public java.lang.String getContent()

### getHeaderContent

    public java.util.List<org.w3c.dom.Element> getHeaderContent()

### getMode

    public org.jboss.portal.Mode getMode()

### getWindowState

    public org.jboss.portal.WindowState getWindowState()

### getTriggerableActions

    public java.util.Collection getTriggerableActions(java.lang.String familyName)

### getProperties

    public java.util.Map getProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD